Subject: help with ppc sections?

From: "Chris Friesen" <[email-masked]>
Date: Thu, 26 Jul 2007 13:12:46 -0600

Hi all,

I'm porting kprobes to 2.6.14, and I think I've got it mostly done.  The 
last thing that I want to do is to mark flush_icache_range() as part of 
the .kprobes.text section so that we don't accidently try to probe it.

On ppc64 this was done by duplicating the _GLOBAL macro and just 
modifying the ".section" line.

Unfortunately for me, ppc doesn't have a ".section" line in that macro, 
so I'm at a bit of a loss.

Anyone got any suggestions, or pointers on where I could read up on it?

Chris